Subdiv2D (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.imgproc

## Class Subdiv2D

- java.lang.Object
- - org.opencv.imgproc.Subdiv2D

-     public class Subdiv2D
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`
    `static int` | `NEXT_AROUND_DST`
    `static int` | `NEXT_AROUND_LEFT`
    `static int` | `NEXT_AROUND_ORG`
    `static int` | `NEXT_AROUND_RIGHT`
    `static int` | `PREV_AROUND_DST`
    `static int` | `PREV_AROUND_LEFT`
    `static int` | `PREV_AROUND_ORG`
    `static int` | `PREV_AROUND_RIGHT`
    `static int` | `PTLOC_ERROR`
    `static int` | `PTLOC_INSIDE`
    `static int` | `PTLOC_ON_EDGE`
    `static int` | `PTLOC_OUTSIDE_RECT`
    `static int` | `PTLOC_VERTEX`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `Subdiv2D()`
    `protected` | `Subdiv2D(long addr)`
    `` | `Subdiv2D(Rect rect)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Subdiv2D` | `__fromPtr__(long addr)`
    `int` | `edgeDst(int edge)`
    `int` | `edgeDst(int edge, Point dstpt)`
    `int` | `edgeOrg(int edge)`
    `int` | `edgeOrg(int edge, Point orgpt)`
    `protected void` | `finalize()`
    `int` | `findNearest(Point pt)`
    `int` | `findNearest(Point pt, Point nearestPt)`
    `int` | `getEdge(int edge, int nextEdgeType)`
    `void` | `getEdgeList(MatOfFloat4 edgeList)`
    `void` | `getLeadingEdgeList(MatOfInt leadingEdgeList)`
    `long` | `getNativeObjAddr()`
    `void` | `getTriangleList(MatOfFloat6 triangleList)`
    `Point` | `getVertex(int vertex)`
    `Point` | `getVertex(int vertex, int[] firstEdge)`
    `void` | `getVoronoiFacetList(MatOfInt idx, java.util.List<MatOfPoint2f> facetList, MatOfPoint2f facetCenters)`
    `void` | `initDelaunay(Rect rect)`
    `void` | `insert(MatOfPoint2f ptvec)`
    `int` | `insert(Point pt)`
    `int` | `locate(Point pt, int[] edge, int[] vertex)`
    `int` | `nextEdge(int edge)`
    `int` | `rotateEdge(int edge, int rotate)`
    `int` | `symEdge(int edge)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

    - #### PTLOC_ERROR

          public static final int PTLOC_ERROR

      See Also:
        Constant Field Values

    - #### PTLOC_OUTSIDE_RECT

          public static final int PTLOC_OUTSIDE_RECT

      See Also:
        Constant Field Values

    - #### PTLOC_INSIDE

          public static final int PTLOC_INSIDE

      See Also:
        Constant Field Values

    - #### PTLOC_VERTEX

          public static final int PTLOC_VERTEX

      See Also:
        Constant Field Values

    - #### PTLOC_ON_EDGE

          public static final int PTLOC_ON_EDGE

      See Also:
        Constant Field Values

    - #### NEXT_AROUND_ORG

          public static final int NEXT_AROUND_ORG

      See Also:
        Constant Field Values

    - #### NEXT_AROUND_DST

          public static final int NEXT_AROUND_DST

      See Also:
        Constant Field Values

    - #### PREV_AROUND_ORG

          public static final int PREV_AROUND_ORG

      See Also:
        Constant Field Values

    - #### PREV_AROUND_DST

          public static final int PREV_AROUND_DST

      See Also:
        Constant Field Values

    - #### NEXT_AROUND_LEFT

          public static final int NEXT_AROUND_LEFT

      See Also:
        Constant Field Values

    - #### NEXT_AROUND_RIGHT

          public static final int NEXT_AROUND_RIGHT

      See Also:
        Constant Field Values

    - #### PREV_AROUND_LEFT

          public static final int PREV_AROUND_LEFT

      See Also:
        Constant Field Values

    - #### PREV_AROUND_RIGHT

          public static final int PREV_AROUND_RIGHT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Subdiv2D

          protected Subdiv2D(long addr)

    - #### Subdiv2D

          public Subdiv2D(Rect rect)

    - #### Subdiv2D

          public Subdiv2D()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static Subdiv2D __fromPtr__(long addr)

    - #### getVertex

          public Point getVertex(int vertex,
                                 int[] firstEdge)

    - #### getVertex

          public Point getVertex(int vertex)

    - #### edgeDst

          public int edgeDst(int edge,
                             Point dstpt)

    - #### edgeDst

          public int edgeDst(int edge)

    - #### edgeOrg

          public int edgeOrg(int edge,
                             Point orgpt)

    - #### edgeOrg

          public int edgeOrg(int edge)

    - #### findNearest

          public int findNearest(Point pt,
                                 Point nearestPt)

    - #### findNearest

          public int findNearest(Point pt)

    - #### getEdge

          public int getEdge(int edge,
                             int nextEdgeType)

    - #### insert

          public int insert(Point pt)

    - #### locate

          public int locate(Point pt,
                            int[] edge,
                            int[] vertex)

    - #### nextEdge

          public int nextEdge(int edge)

    - #### rotateEdge

          public int rotateEdge(int edge,
                                int rotate)

    - #### symEdge

          public int symEdge(int edge)

    - #### getEdgeList

          public void getEdgeList(MatOfFloat4 edgeList)

    - #### getLeadingEdgeList

          public void getLeadingEdgeList(MatOfInt leadingEdgeList)

    - #### getTriangleList

          public void getTriangleList(MatOfFloat6 triangleList)

    - #### getVoronoiFacetList

          public void getVoronoiFacetList(MatOfInt idx,
                                          java.util.List<MatOfPoint2f> facetList,
                                          MatOfPoint2f facetCenters)

    - #### initDelaunay

          public void initDelaunay(Rect rect)

    - #### insert

          public void insert(MatOfPoint2f ptvec)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown